<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SearchColumnField StructType
 * @subpackage Structs
 */
abstract class SearchColumnField extends AbstractStructBase
{
    /**
     * The customLabel
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $customLabel;
    /**
     * Constructor method for SearchColumnField
     * @uses SearchColumnField::setCustomLabel()
     * @param string $customLabel
     */
    public function __construct($customLabel = null)
    {
        $this
            ->setCustomLabel($customLabel);
    }
    /**
     * Get customLabel value
     * @return string|null
     */
    public function getCustomLabel()
    {
        return $this->customLabel;
    }
    /**
     * Set customLabel value
     * @param string $customLabel
     * @return \StructType\SearchColumnField
     */
    public function setCustomLabel($customLabel = null)
    {
        // validation for constraint: string
        if (!is_null($customLabel) && !is_string($customLabel)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($customLabel, true), gettype($customLabel)), __LINE__);
        }
        $this->customLabel = $customLabel;
        return $this;
    }
}
